> ## Documentation Index
> Fetch the complete documentation index at: https://developer.kyckr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Company search

> Search for a company by name or registration number in a specific jurisdiction.

Most registries on Kyckr's network can be searched by either company name or company number.

To search for a company, provide a name or number along with the ISO code of the jurisdiction being searched. This performs a jurisdiction-specific search.

Below are examples of requests for search by name, and search by number.

#### Search by company name

```curl theme={null}
curl --location 'https://api.kyckr.com/v2/companies?isocode=GB&name=Kyckr' \
--header 'Authorization: Bearer <<api_key>>'
```

[Search for Companies API reference](/api-reference/companies/search-for-companies)

#### Search by number

```curl theme={null}
curl --location 'https://api.kyckr.com/v2/companies?isocode=GB&companyNumber=11655290' \
--header 'Authorization: Bearer <<api_key>>'
```

[Search for Companies API reference](/api-reference/companies/search-for-companies)

### Details provided in the response

Depending on the registry, different information is provided in the response for a search.

The response includes an `id` field, which can be used in further API calls to obtain company profiles, documents, etc.

`companyName` : The full name of the company on the register
`companyNumber`: The company number on the register
`status` : The current legal status of a company, to confirm if the company is active or inactive

In the example search response below, `status` reveals that Kyckr is an active company.   The `id` field can be used for API calls where a `kyckrId` is required. The `companyName` field reveals the full name for Kyckr as Kyckr UK Limited.

```json theme={null}
{
    "correlationId": "7c6bd7dca2a34c899e6d2cd7dd0a0e22",
    "customerReference": "",
    "timeStamp": "2023-04-05T10:21:09.800429Z",
    "details": "Success",
    "data": [
        {
            "id": "GB|MTE2NTUyOTA",
            "companyName": "KYCKR UK LIMITED",
            "companyNumber": "11655290",
            "address": "Kemp House, 160 City Road, London, United Kingdom, EC1V 2NX",
            "status": "active",
            "type": "ltd",
            "startDate": "2018-11-01T00:00:00"
        }
    ]
}
```
